package com.bonus.canteen.core.notice.notice.v2.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("inform_range")
@ApiModel("通知人群 ")
public class InformRange implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("通知记录id")
   private Long informhisId;
   @ApiModelProperty("通知人员id")
   private Long custId;
   @ApiModelProperty("是否通知成功")
   private Integer whether;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getInformhisId() {
      return this.informhisId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getWhether() {
      return this.whether;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInformhisId(final Long informhisId) {
      this.informhisId = informhisId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setWhether(final Integer whether) {
      this.whether = whether;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
